/*
 * Tcp4u v 3.20         Creation 10/07/97 Last Revision 16/10/97  3.11
 *
 *===========================================================================
 *
 * Project: Tcp4u,      Library for tcp protocol
 * File:    udp4u.h
 * Purpose: main functions for udp protocol management
 *
 *===========================================================================
 *
 * This software is Copyright (c) 1996-1997 by Philippe Jounin
 *
 * Permission is hereby granted to copy, distribute or otherwise
 * use any part of this package as long as you do not try to make
 * money from it or pretend that you wrote it.  This copyright
 * notice must be maintained in any copy made.
 *
 * Use of this software constitutes acceptance for use in an AS IS
 * condition. There are NO warranties with regard to this software.
 * In no event shall the author be liable for any damages whatsoever
 * arising out of or in connection with the use or performance of this
 * software.  Any use of this software is at the user's own risk.
 *
 *  If you make modifications to this software that you feel
 *  increases it usefulness for the rest of the community, please
 *  email the changes, enhancements, bug fixes as well as any and
 *  all ideas to me. This software is going to be maintained and
 *  enhanced as deemed necessary by the community.
 *
 *   Philippe Jounin (ph.jounin@computer.org)
 */

#ifndef _WINSOCKAPI_	/* winsock.h has not been loaded -> unix */
#  include <sys/types.h>
#  include <netinet/in.h>
#endif

struct sUdpData
{
   SOCKET                 UdpSock;        /* Socket descriptor           */
   struct  sockaddr_in    saSendAddr;     /* destination                 */
   struct  sockaddr_in    saRecvAddr;     /* last received frame header  */
   struct  in_addr        saFilter;       /* Fileter en reception        */
   BOOL                   bSemiConnected; /* received only from SendAddr */
}; /* struct sUdpData */

typedef struct sUdpData  UDPSOCK;
typedef UDPSOCK far *    LPUDPSOCK;

/* different modes */
#define    UDP4U_CLIENT    45
#define    UDP4U_SERVER    56


int API4U UdpInit (LPUDPSOCK far *pUdp, LPCSTR szHost, 
                   unsigned short uRemotePort, unsigned short uLocalPort);
int API4U UdpCleanup (LPUDPSOCK Udp);
int API4U UdpSend (LPUDPSOCK Udp,
                   LPCSTR sData,     int nDataSize,
                   BOOL   bHighPriority, HFILE hLogFile);
int API4U UdpRecv (LPUDPSOCK pUdp,  LPSTR sData, int nDataSize, 
                  unsigned uTimeOut, HFILE hLogFile);
int API4U UdpBind (LPUDPSOCK pUdp, BOOL bFilter, int nMode);
unsigned short API4U Udp4uServiceToPort (LPCSTR szService);

