/*
 * Tcp4u v 3.20
 *
 *===========================================================================
 *
 * Project: Tcp4u,      Library for tcp protocol
 * File:    build.h
 * Purpose: Common header file. Group all includes needed 
 *
 *===========================================================================
 *
 * This software is Copyright (c) 1993-1997 by Philippe Jounin
 *
 * Permission is hereby granted to copy, distribute or otherwise
 * use any part of this package as long as you do not try to make
 * money from it or pretend that you wrote it.  This copyright
 * notice must be maintained in any copy made.
 *
 * Use of this software constitutes acceptance for use in an AS IS
 * condition. There are NO warranties with regard to this software.
 * In no event shall the author be liable for any damages whatsoever
 * arising out of or in connection with the use or performance of this
 * software.  Any use of this software is at the user's own risk.
 *
 *  If you make modifications to this software that you feel
 *  increases it usefulness for the rest of the community, please
 *  email the changes, enhancements, bug fixes as well as any and
 *  all ideas to me. This software is going to be maintained and
 *  enhanced as deemed necessary by the community.
 *
 *   Philippe Jounin (ph.jounin@computer.org)
 */


#define HPUX_SOURCE

#include <memory.h>
#include <assert.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

#ifdef _WINDOWS
#  include <windows.h>
#  include <windowsx.h>
#  include <winsock.h>
#endif

#ifdef UNIX
#   include <stdio.h>
#   include <errno.h>
#   include <sys/types.h>
#   include <sys/ioctl.h>
#   include <sys/socket.h>
#   include <netinet/in.h>
#   include <netdb.h>
#ifndef HPUX
#   include <arpa/inet.h>
#endif
#   include <fcntl.h>
#   include <time.h>
/* systemes un peu speciaux --------------------------------------- */
#ifdef AIX
#  include <sys/select.h>
#endif
#if defined (SOLARIS) || defined (SunOS)
#  include <sys/sockio.h>
#endif
# include <sys/time.h>

/* ---------------------------------------------------------------- */
/* Et si ca ne marche toujours pas, on essaie les definitions :---- */
#ifndef INADDR_NONE
#   define INADDR_NONE -1
#endif
#ifndef FIONREAD
#   define FIONREAD    _IOR('f', 127, int)   /* get number of bytes to read */
#endif
#ifndef SIOCATMARK
#   define SIOCATMARK  _IOR('s',  7, int)    /* at oob mark? */
#endif
/* ---------------------------------------------------------------- */
#endif /* UNIX */


#include "port.h"         /* fonctions de portage */
#include "skt4u.h"        /* define internes      */


#ifdef UNIX
#  include "tcp4u.h"
#else
#  include "tcp4u.h"    /* fonctions exportees  */
#endif

#include "udp4u.h"
#include "http4u.h"
#include "dimens.h"       /* size of communly used data */

#ifndef SizeOfTab
#  define SizeOfTab(x)   (sizeof x / sizeof (*x))
#endif
#ifndef min
#  define min(a,b)       ( (a)<(b) ? (a) : (b) )
#endif

