/*
 * Tcp4u v 3.20
 *
 *===========================================================================
 *
 * Project: Tcp4u,      Library for tcp protocol
 * File:    dimens.h
 * Purpose: Internal header file
 *
 *===========================================================================
 *
 * This software is Copyright (c) 1993-1997 by Philippe Jounin
 *
 * Permission is hereby granted to copy, distribute or otherwise
 * use any part of this package as long as you do not try to make
 * money from it or pretend that you wrote it.  This copyright
 * notice must be maintained in any copy made.
 *
 * Use of this software constitutes acceptance for use in an AS IS
 * condition. There are NO warranties with regard to this software.
 * In no event shall the author be liable for any damages whatsoever
 * arising out of or in connection with the use or performance of this
 * software.  Any use of this software is at the user's own risk.
 *
 *  If you make modifications to this software that you feel
 *  increases it usefulness for the rest of the community, please
 *  email the changes, enhancements, bug fixes as well as any and
 *  all ideas to me. This software is going to be maintained and
 *  enhanced as deemed necessary by the community.
 *
 *   Philippe Jounin (ph.jounin@computer.org)
 */



void Tcp4uLog (unsigned uLevel, LPCSTR szText, ...);


/* internal dimensions                  */
#define  HOST_LENGTH      256
#define  SERVICE_LENGTH   64
#define  FILE_LENGTH      512

/* les symboles des sump */
#define  DUMP4U_SENT    ">"
#define  DUMP4U_RCVD    "<"

/* internal functions                    */
/* these interface are subject to change */
int    Tcp4uAtoi (LPCSTR p);
long   Tcp4uAtol (LPCSTR p);
int    Tcp4uStrncasecmp (LPCSTR s1, LPCSTR s2, int n);
LPSTR  Tcp4uStrIStr (LPCSTR s1, LPCSTR s2);
struct in_addr Tcp4uGetIPAddr (LPCSTR szHost);

/* Tcp4u.c internal cals */
int InternalTcpSend (SOCKET s, LPCSTR szBuf, unsigned uBufSize,
                     BOOL bHighPriority, HFILE hLogFile);
int InternalTcpRecv (SOCKET s, LPSTR szBuf, unsigned uBufSize, 
                     unsigned uTimeOut, HFILE hLogFile);
int InternalTcpRecvUntilStr (SOCKET s, LPSTR szBuf,unsigned far *lpBufSize,
                             LPSTR szStop, unsigned uStopSize, BOOL bCaseSensitive,
                             unsigned uTimeOut, HFILE hLogFile);
/* tn4u.c internal cals */
int InternalTnReadLine (SOCKET s,LPSTR szBuf,UINT uBufSize,UINT uTimeOut,
                        HFILE hf);
/* Udp4u.c internal cals */
int InternalUdpRecv (LPUDPSOCK pUdp,  LPSTR sData, int nDataSize, 
                     unsigned uTimeOut, HFILE hLogFile);
int InternalUdpSend (LPUDPSOCK Udp,LPCSTR sData, int nDataSize,
                     BOOL   bHighPriority, HFILE hLogFile);

struct S_TnProto
{
   char *szString;
   int   iCode;
};

int TnProtoExchange (SOCKET s, 
	                 struct S_TnProto  *tTranslation, 
                     int    nTabSize,
			         BOOL   bMultiLine,
			         BOOL   bCaseCmp,
                     LPSTR  szResponse, UINT uBufSize, 
			         UINT   uTimeout,
			         HFILE  hLogFile,
			         LPSTR  szCommande, ...);
